| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму | Файлообменник |

Вернуться   Форум DWG.RU > Программное обеспечение > AutoCAD > Небыстрый "Быстрый выбор" !

Небыстрый "Быстрый выбор" !

Ответ
Поиск в этой теме
Непрочитано 06.06.2004, 10:27
Небыстрый "Быстрый выбор" !
Psip!
 
Сообщений: n/a

Проблема:
на большом чертеже нужно найти некоторые объекты, к примеру текст "02в", "03в", "02d" ну и так далее. Пользуюсь для этого "Быстрым выбором", а именно Сервис\Быстрый выбот\затем из падающего меню нахожу "Текст", затем "Содержимое", "=равно", и только затем пишу нужный мне текст!
Потом повторяю все операции снова, потом снова, потом снова, и как-то хочется убыстрить выбор!!! Хотя бы до возможности сохранения в менюшке предыдущего запроса. А в идеале - до написания нескольких макросов для поиска нескольких разных объектов.
Гуру, отзовитесь! Need help!
Просмотров: 14786
 
Непрочитано 09.06.2004, 00:41
#21
vk

сисадмин
 
Регистрация: 26.08.2003
Самара
Сообщений: 1,022
<phrase 1=


Справедливое замечание сделал Джек!

Макрос Psip! выберет
И тексты И атрибуты И в некоторых случаях Mtext'ы
vk вне форума  
 
Непрочитано 01.10.2006, 09:19
#22
Демиан


 
Регистрация: 28.08.2005
Сообщений: 32


Думал, нашел, что искал, но нет.

Можно ли немного доработать qselect:
Мне нужно, чтобы значение "Value:" копировалось из объекта. Т. е. чтобы выбрать заливку с колером RAL 000 15 0, мне сначала нужно посмотреть свойства объекта, запомнить и секунд 30 выделять этот колер.

Можно сказать, что помимо (вместо) Select Color мне не хватает Select Object.
Демиан вне форума  
 
Непрочитано 01.10.2006, 10:24
#23
Макс Тал.

строитель
 
Регистрация: 13.03.2005
СПб.
Сообщений: 216
<phrase 1=


Незнаю чем вас обидел Q SELKT Я ей пользусь довольночасто.
Всеравно набирать искомый текст, что в новом способе поиска, что встаром. При выборе QSELEKT если объектов слишком много он тоже не подсвечивает грипсы, но я решаю эту проблему простой командой копировать и тогда все загорается. Очень помогает при подсчете количества деталей ( в командной строке пишет кол-во.)
А поиск текста просто правой кнопкой \найти или заменить\ (переносит экран к найденному тексту к левому верхнему углу меню поиск.
Макс Тал. вне форума  
 
Непрочитано 01.10.2006, 12:06
#24
Демиан


 
Регистрация: 28.08.2005
Сообщений: 32


Хм. Вопрос не про грипсы, и про достоинства qselect. Вопрос: как быстро выделить всю заливку с определенным колером? Ведь qselect предлагат только основные цвета, плюс Select Color...
Демиан вне форума  
 
Непрочитано 02.10.2006, 09:16
#25
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 36,589


Погоди. Если у тебя пример штриховки с таким цветом на экране, выбери примерно так:
[ATTACH]1159766179.jpg[/ATTACH]
То бишь попробуй нажать на выделенную кнопенцию и указать примитив прямо на экране.
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума  
 
Непрочитано 02.10.2006, 10:09 Re: Небыстрый "Быстрый выбор" !
#26
Sergiy

Проектировщик, гидротехник
 
Регистрация: 23.03.2006
Киев
Сообщений: 59


Цитата:
Сообщение от Psip!
Проблема:
на большом чертеже нужно найти некоторые объекты, к примеру текст "02в", "03в", "02d" ну и так далее. Пользуюсь для этого "Быстрым выбором", а именно Сервис\Быстрый выбот\затем из падающего меню нахожу "Текст", затем "Содержимое", "=равно", и только затем пишу нужный мне текст!
Потом повторяю все операции снова, потом снова, потом снова, и как-то хочется убыстрить выбор!!! Хотя бы до возможности сохранения в менюшке предыдущего запроса. А в идеале - до написания нескольких макросов для поиска нескольких разных объектов.
Гуру, отзовитесь! Need help!
Используешь команду find, жмешь кнопку select objects, затем указываешь или область выбора или all, затем в окошке Find text string пишешь что тебе нужно найти с использованием масок:
# (Pound) Matches any numeric digit
@ (At) Matches any alphabetic character
. (Period) Matches any nonalphanumeric character
* (Asterisk) Matches any string and can be used anywhere in the search string
? (Question mark) Matches any single character;
for example, ?BC matches ABC, 3BC, and so on
~ (Tilde) Matches anything but the pattern;
for example; ~*AB*matches all strings that don't contain AB
[ ] Matches any one of the characters enclosed; for example, [AB]C matches AC and BC
[~] Matches any character not enclosed; for example, [~AB]C matches XC but not AC
[-] Specifies a range for a single character;
for example, [A-G]C matches AC, BC, and so on to GC, but not HC
` (Reverse quote) Reads the next character literally; for example, `~AB matches ~AB
в твоем случае это 0#@, затем жмешь на кнопку select all и все. Выбирается довольно быстро даже в огромном чертеже - проверил
Sergiy вне форума  
 
Непрочитано 02.10.2006, 17:59
#27
Демиан


 
Регистрация: 28.08.2005
Сообщений: 32


kpblc, эта кнопка позволяет сузить поиск: не по всему чертежу, а только то, что выделено рамкой. Но в строке value, как были стандартные цвета, так и остались. И чтобы выбрать нужный мне нужно жать select color..., а это долго.
Что то меня никто понять не может. :-(
Демиан вне форума  
 
Непрочитано 03.10.2006, 01:37
#28
Димас

джедай
 
Регистрация: 31.01.2005
Магадан
Сообщений: 460
<phrase 1=


Цитата:
Сообщение от Демиан
kpblc, эта кнопка позволяет сузить поиск: не по всему чертежу, а только то, что выделено рамкой. Но в строке value, как были стандартные цвета, так и остались. И чтобы выбрать нужный мне нужно жать select color..., а это долго.
Что то меня никто понять не может. :-(
можно попробовать штуку из Land Desktop - там при правом клике на примитиве есть опция - Select Similar - выбирает все похожие примитивы..
допустим у вас в одном слое окружности, полилинии, красные штриховки и зеленые штриховки - при Select Similar на красных штриховках - выберет все красные штриковки этого слоя...

только вот как из Land перетащить не знаю, а Land только для этого ставить - думаю лишнее, вот еслиб кто-нить написать такое смог))

попробуйте еще эту команду
Код:
там есть кнопка чтоб наследовать свойства объекта, я ак понял хочется такую же но для QSelect?)
Димас вне форума  
 
Непрочитано 03.10.2006, 08:36
#29
Димас

джедай
 
Регистрация: 31.01.2005
Магадан
Сообщений: 460
<phrase 1=


to vk

а не подскажите какой DXF код соответствует ассоциативности штриховки?
Димас вне форума  
 
Непрочитано 03.10.2006, 08:45
#30
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 36,589


> Демиан: Сорри. Тогда могу предложить лисп (кроме filter)
Код:
[Выделить все]
(defun c:modqsel (/ ent selset filter)
  (if (setq ent (car (entsel)))
    (progn
      (setq filter (list (assoc 0 (entget ent)) (assoc 410 (entget ent))))
      (if (cdr (assoc 62 (entget ent)))
	(setq filter (append filter (list (assoc 62 (entget ent)))))
	) ;_ end of if
      (sssetfirst (setq selset (ssget "_X" filter)) selset)
      ) ;_ end of progn
    ) ;_ end of if
  (princ)
  ) ;_ end of defun
> Димас: Ассоциативность штриховки по идее определяется 71 кодом, но! изменить ассоциативность штриховки в положение "on" весьма проблематично - что через entmod, что через activex. Зачастую приходится попросту перестраивать штриховку.
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума  
 
Непрочитано 03.10.2006, 08:56
#31
Димас

джедай
 
Регистрация: 31.01.2005
Магадан
Сообщений: 460
<phrase 1=


Цитата:
Сообщение от kpblc
...> Димас: Ассоциативность штриховки по идее определяется 71 кодом, но! изменить ассоциативность штриховки в положение "on" весьма проблематично - что через entmod, что через activex. Зачастую приходится попросту перестраивать штриховку.
спасбо, мне этого хватит) буду теперь одним нажатием мыши убивать)
Димас вне форума  
 
Непрочитано 03.10.2006, 09:09
#32
Димас

джедай
 
Регистрация: 31.01.2005
Магадан
Сообщений: 460
<phrase 1=


to kpblc
а в каком виде значение кода 71 там хранится?
как 1/0 или как On/Off?
Димас вне форума  
 
Непрочитано 03.10.2006, 09:19
#33
Profan


 
Регистрация: 25.12.2005
Москва
Сообщений: 13,663


Для Демиан.
Если изначально делать заливку на своем слое, цвет которому можно задать любой, то выбрать потом эту заливку очень легко с помощью выбора слоя, для которого можно задать объектно-ориентированное имя.
Profan вне форума  
 
Непрочитано 03.10.2006, 09:52
#34
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 36,589


> Димас: DXF Reference:
71 Associativity flag (associative = 1; non-associative = 0); for MPolygon, solid-fill flag (has solid fill = 1; lacks solid fill = 0)
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума  
 
Непрочитано 03.10.2006, 09:53
#35
Димас

джедай
 
Регистрация: 31.01.2005
Магадан
Сообщений: 460
<phrase 1=


to kpblc
спасибо
Димас вне форума  
 
Непрочитано 03.10.2006, 20:01
#36
Демиан


 
Регистрация: 28.08.2005
Сообщений: 32


kpblc, на счет лиспа - другое дело, все работает, мне нравится. Спасибо!

Profan, пробовал, конечно и слои красить, но нет... неряшливо как-то. Кроме того пользуюсь лиспом Громова с автокад.ру, который все объекты определенного слоя может "отправить назад".
Демиан вне форума  
 
Непрочитано 03.10.2006, 21:31
#37
Profan


 
Регистрация: 25.12.2005
Москва
Сообщений: 13,663


Для Демиан.
А, приятно, потому что Громов - это я и есть.
Profan вне форума  
 
Непрочитано 16.03.2009, 22:59
#38
Sleekka

-
 
Регистрация: 24.07.2005
Москва
Сообщений: 1,453


Понадобилось сделать - вот выкладываю свою вариацию на эту тему:
Код:
[Выделить все]
(defun C:sl_sel_lay_filter_ (/ ss)
;Команда позволяющая в наборе оставить только объекты слоя того объекта по которому щелкнешь
  (if
    (ssget "_I")
   (setq ss (ssget "_I" (list (assoc 8 (entget (car (entsel "Выберите объект по слою которого нужно отфильтровать выбор: \n"))))))) 
(setq ss (ssget "_X" (list (assoc 8 (entget (car (entsel "Выберите объект по слою которого нужно отфильтровать выбор: \n")))))))
)
  (vl-cmdf "_.pselect" ss "")
  (vla-regen (vla-get-activedocument (vlax-get-acad-object)) acallviewports)
) ;_  defun
Sleekka вне форума  
 
Непрочитано 19.06.2009, 14:26 Выбор объектов в нескольких layout
#39
луки


 
Регистрация: 19.06.2009
Сообщений: 10


Добрый день. Я частенько пользуюсь командой qselect для выбора большого числа однотипных элементов. К сожалению в нашем офисе сложилась традиция чертить электрич. схемы на листах, а не в модели. Таким образом если мне нужно поменять какое-нибудбь свойство объекта (например draworder) мне приходится пользоватся командой select по много раз, для каждого листа отдельно. Скажите пожалуйта, можно ли как-нибудь упростить этот процесс? Может быть есть какой-нибудь вариант этой команды, который поможет искать объекты на всех чертежах одновременно.
луки вне форума  
 
Непрочитано 19.06.2009, 14:36
#40
zenon

Остекляем!!! Алюминим!!!
 
Регистрация: 21.02.2005
Москва
Сообщений: 3,335
<phrase 1=


в модели _draworder затем в каждом листе _regenall
__________________
Мы можем делать быстро, качественно и недорого, выбирайте любые 2 условия.:search:
zenon вне форума  
Ответ
Вернуться   Форум DWG.RU > Программное обеспечение > AutoCAD > Небыстрый "Быстрый выбор" !

Размещение рекламы
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск